### Method

# GLib KeyFile get_value

since: 2.6

#### Declaration [src]

    gchar*
    g_key_file_get_value (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      GError** error
    )

#### Description [src]

Returns the raw value associated with `key` under `group_name`.

Use `g_key_file_get_string()` to retrieve an unescaped UTF-8 string.

If the key cannot be found, `G_KEY_FILE_ERROR_KEY_NOT_FOUND` is returned. If the `group_name` cannot be found, `G_KEY_FILE_ERROR_GROUP_NOT_FOUND` is returned.

Available since: 2.6

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated string or `NULL` if the specified key cannot be found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.